<?php


namespace FiloBlu\ExtInventory\Api\Data;

interface InventoryFbOrderitemSourceInterface extends \Magento\Framework\Api\ExtensibleDataInterface
{

    const FINAL_INVENTORY_SOURCE_ID = 'final_inventory_source_id';
    const INVENTORY_SOURCE_ID = 'inventory_source_id';
    const QTY = 'qty';
    const SKU = 'sku';
    const ORDER_ID = 'order_id';
    const ORDER_ITEM_ID = 'order_item_id';
    const INVENTORY_FB_ORDERITEM_SOURCE_ID = 'inventory_fb_orderitem_source_id';

    /**
     * Get inventory_fb_orderitem_source_id
     * @return string|null
     */
    public function getInventoryFbOrderitemSourceId();

    /**
     * Set inventory_fb_orderitem_source_id
     * @param string $inventoryFbOrderitemSourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setInventoryFbOrderitemSourceId($inventoryFbOrderitemSourceId);

    /**
     * Get order_id
     * @return string|null
     */
    public function getOrderId();

    /**
     * Set order_id
     * @param string $orderId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setOrderId($orderId);

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * Set an extension attributes object.
     * @param \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceExtensionInterface $extensionAttributes
    );

    /**
     * Get order_item_id
     * @return string|null
     */
    public function getOrderItemId();

    /**
     * Set order_item_id
     * @param string $orderItemId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setOrderItemId($orderItemId);

    /**
     * Get inventory_source_id
     * @return string|null
     */
    public function getInventorySourceId();

    /**
     * Set inventory_source_id
     * @param string $inventorySourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setInventorySourceId($inventorySourceId);

    /**
     * Get final_inventory_source_id
     * @return string|null
     */
    public function getFinalInventorySourceId();

    /**
     * Set final_inventory_source_id
     * @param string $finalInventorySourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setFinalInventorySourceId($finalInventorySourceId);

    /**
     * Get sku
     * @return string|null
     */
    public function getSku();

    /**
     * Set sku
     * @param string $sku
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setSku($sku);

    /**
     * Get qty
     * @return string|null
     */
    public function getQty();

    /**
     * Set qty
     * @param string $qty
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setQty($qty);
}
