<?php


namespace FiloBlu\ExtInventory\Model\Data;

use FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface;

class InventoryFbOrderitemSource extends \Magento\Framework\Api\AbstractExtensibleObject implements InventoryFbOrderitemSourceInterface
{

    /**
     * Get inventory_fb_orderitem_source_id
     * @return string|null
     */
    public function getInventoryFbOrderitemSourceId()
    {
        return $this->_get(self::INVENTORY_FB_ORDERITEM_SOURCE_ID);
    }

    /**
     * Set inventory_fb_orderitem_source_id
     * @param string $inventoryFbOrderitemSourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setInventoryFbOrderitemSourceId($inventoryFbOrderitemSourceId)
    {
        return $this->setData(self::INVENTORY_FB_ORDERITEM_SOURCE_ID, $inventoryFbOrderitemSourceId);
    }

    /**
     * Get order_id
     * @return string|null
     */
    public function getOrderId()
    {
        return $this->_get(self::ORDER_ID);
    }

    /**
     * Set order_id
     * @param string $orderId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setOrderId($orderId)
    {
        return $this->setData(self::ORDER_ID, $orderId);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }

    /**
     * Get order_item_id
     * @return string|null
     */
    public function getOrderItemId()
    {
        return $this->_get(self::ORDER_ITEM_ID);
    }

    /**
     * Set order_item_id
     * @param string $orderItemId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setOrderItemId($orderItemId)
    {
        return $this->setData(self::ORDER_ITEM_ID, $orderItemId);
    }

    /**
     * Get inventory_source_id
     * @return string|null
     */
    public function getInventorySourceId()
    {
        return $this->_get(self::INVENTORY_SOURCE_ID);
    }

    /**
     * Set inventory_source_id
     * @param string $inventorySourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setInventorySourceId($inventorySourceId)
    {
        return $this->setData(self::INVENTORY_SOURCE_ID, $inventorySourceId);
    }

    /**
     * Get final_inventory_source_id
     * @return string|null
     */
    public function getFinalInventorySourceId()
    {
        return $this->_get(self::FINAL_INVENTORY_SOURCE_ID);
    }

    /**
     * Set final_inventory_source_id
     * @param string $finalInventorySourceId
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setFinalInventorySourceId($finalInventorySourceId)
    {
        return $this->setData(self::FINAL_INVENTORY_SOURCE_ID, $finalInventorySourceId);
    }

    /**
     * Get sku
     * @return string|null
     */
    public function getSku()
    {
        return $this->_get(self::SKU);
    }

    /**
     * Set sku
     * @param string $sku
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setSku($sku)
    {
        return $this->setData(self::SKU, $sku);
    }

    /**
     * Get qty
     * @return string|null
     */
    public function getQty()
    {
        return $this->_get(self::QTY);
    }

    /**
     * Set qty
     * @param string $qty
     * @return \FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface
     */
    public function setQty($qty)
    {
        return $this->setData(self::QTY, $qty);
    }
}
