<?php


namespace FiloBlu\ExtInventory\Model;

use FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterfaceFactory;
use Magento\Framework\Api\DataObjectHelper;
use FiloBlu\ExtInventory\Api\Data\InventoryFbOrderitemSourceInterface;

class InventoryFbOrderitemSource extends \Magento\Framework\Model\AbstractModel
{

    protected $dataObjectHelper;

    protected $_eventPrefix = 'inventory_fb_orderitem_source';
    protected $inventory_fb_orderitem_sourceDataFactory;


    /**
     * @param \Magento\Framework\Model\Context $context
     * @param \Magento\Framework\Registry $registry
     * @param InventoryFbOrderitemSourceInterfaceFactory $inventory_fb_orderitem_sourceDataFactory
     * @param DataObjectHelper $dataObjectHelper
     * @param \FiloBlu\ExtInventory\Model\ResourceModel\InventoryFbOrderitemSource $resource
     * @param \FiloBlu\ExtInventory\Model\ResourceModel\InventoryFbOrderitemSource\Collection $resourceCollection
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\Model\Context $context,
        \Magento\Framework\Registry $registry,
        InventoryFbOrderitemSourceInterfaceFactory $inventory_fb_orderitem_sourceDataFactory,
        DataObjectHelper $dataObjectHelper,
        \FiloBlu\ExtInventory\Model\ResourceModel\InventoryFbOrderitemSource $resource,
        \FiloBlu\ExtInventory\Model\ResourceModel\InventoryFbOrderitemSource\Collection $resourceCollection,
        array $data = []
    ) {
        $this->inventory_fb_orderitem_sourceDataFactory = $inventory_fb_orderitem_sourceDataFactory;
        $this->dataObjectHelper = $dataObjectHelper;
        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
    }

    /**
     * Retrieve inventory_fb_orderitem_source model with inventory_fb_orderitem_source data
     * @return InventoryFbOrderitemSourceInterface
     */
    public function getDataModel()
    {
        $inventory_fb_orderitem_sourceData = $this->getData();
        
        $inventory_fb_orderitem_sourceDataObject = $this->inventory_fb_orderitem_sourceDataFactory->create();
        $this->dataObjectHelper->populateWithArray(
            $inventory_fb_orderitem_sourceDataObject,
            $inventory_fb_orderitem_sourceData,
            InventoryFbOrderitemSourceInterface::class
        );
        
        return $inventory_fb_orderitem_sourceDataObject;
    }
}
